KLAUS(1)

NAME
klaus - easy to set up Git web viewer

SYNOPSIS
klaus [OPTION]... [DIR]...

DESCRIPTION
Klaus is a simple and easy-to-set-up Git web viewer that Just Works™.

Note that the klaus binary just starts a test instance. The klaus script uses wsgiref internally which doesn't scale at all - it's single-threaded and non-asynchronous.

It supports syntax highlighting and Git Smart HTTP.

OPTIONS

-h, --help
    show this help message and exit

--host HOST
    default: 127.0.0.1

--port PORT
    default: 8080

--site-name SITE_NAME
    site name showed in header. default: your hostname

--version
    print version number

-b, --browser
    open klaus in a browser on server start

-B BROWSER, --with-browser BROWSER
    specify which browser to use with --browser

--ctags {none,tags-and-branches,ALL}
    enable ctags for which revisions? default: none. WARNING: Don't use 'ALL' for public servers!

  Git Smart HTTP:

--smarthttp
    enable Git Smart HTTP serving

--htdigest FILE
    use credentials from FILE

  Development flags:

    DO NOT USE IN PRODUCTION!

--debug
    Enable Werkzeug debugger and reloader

AUTHORS
Copyright © 2011-2015 Jonas Haag <jonas@lophus.org> and contributors (see Git logs).